import * as React from 'react';
import { connect } from 'react-redux';

import Money from '../schemas/Money';
import { Currency } from '../enums';
import { RootState } from '../store/reducers';
import { getCurrencyRates, getCurrency } from '../store/currency/selectors';
import Price from './Price';
import CurrencyRates from '../schemas/CurrencyRates';

interface Props {
	price: Money;
	withPlus?: boolean;
	withMinus?: boolean;
}

interface StateProps {
	currency: Currency;
	rates: CurrencyRates;
}

class ConnectedPrice extends React.Component<Props & StateProps> {
	render(): React.ReactNode {
		return <Price {...this.props}/>;
	}
}

const mapStateToProps = (state: RootState): StateProps => {
	return {
		currency: getCurrency(state),
		rates: getCurrencyRates(state)
	};
};

export default connect(mapStateToProps)(ConnectedPrice);
