import * as React from 'react';
import SegmentModel from '../../../schemas/Segment';
import Segment from '../../Flight/Segment';

interface Props {
	segments: SegmentModel[];
	nemoURL: string;
	renderFamilies: (segment: SegmentModel, index: number) => React.ReactNode;
}

class Details extends React.Component<Props> {
	protected segmentsForDetails: SegmentModel[];

	constructor(props: Props) {
		super(props);

		this.segmentsForDetails = this.props.segments.slice(1);
	}

	render(): React.ReactNode {
		return (
			<div className="flight-details">
				{this.props.renderFamilies(this.props.segments[0], 0)}

				{this.segmentsForDetails.map((segment, index) => (
					<Segment key={index + 1} segment={segment} nemoURL={this.props.nemoURL} renderAdditionalBlock={() => {
						return this.props.renderFamilies(segment, index + 1);
					}}/>
				))}
			</div>
		);
	}
}

export default Details;
