import * as React from 'react';
import SegmentModel from '../../schemas/Segment';
import Segment from './Segment';

interface Props {
	segments: SegmentModel[];
	nemoURL: string;
	isProMode: boolean;
}

class Details extends React.Component<Props> {
	shouldComponentUpdate(nextProps: Props): boolean {
		return (
			this.props.segments !== nextProps.segments ||
			this.props.nemoURL !== nextProps.nemoURL
		);
	}

	render(): React.ReactNode {
		return (
			<div className="flight-details">
				{this.props.segments.map((segment, index) => (
					<Segment
						key={index}
						nemoURL={this.props.nemoURL}
						segment={segment}
						isProMode={this.props.isProMode}
					/>
				))}
			</div>
		);
	}
}

export default Details;
