import { PassengerType } from '../enums';
import Money from './Money';
import { ServiceClass } from '@nemo.travel/search-widget';
import { AdvancedFlightInfo } from './SelectedFlight';

export interface TariffInfo {
	code: string;
	routeNumber: number;
	segNum: number;
	serviceClass: ServiceClass;
}

export interface TaxInfo {
	[code: string]: Money;
}

export interface Tax {
	code: string,
	price: Money;
}

export interface Fare {
	type: PassengerType;
	baseFare: Money;
	count: number;
	equivFare: Money;
	tariffs: TariffInfo[];
	taxes: TaxInfo[];
	totalFare: Money;
	taxesArray: Tax[];
}

export interface PricingInfo {
	agencyCharge: Money;
	subagentProfit: Money;
	agentProfit: Money;
	fares: Fare[];
}

export interface AdvancedFlightInfoByFlights {
	[flightId: string]: AdvancedFlightInfo;
}

export interface PricingDebugLink {
	link: string;
	text: string;
	route: string;
}
