import { Moment } from 'moment';
import Aircraft from './Aircraft';
import Airline from './Airline';
import Airport from './Airport';
import Baggage from './Baggage';
import BookingClass from './BookingClass';
import FareFamily from './FareFamily';
import FareFamilyFeature from './FareFamilyFeature';
import StopPoint from './StopPoint';

export default interface Segment {
	aircraft: Aircraft;
	airline: Airline;
	arrAirport: Airport;
	arrDate: Moment;
	arrTerminal: string;
	bookingClass: BookingClass;
	depAirport: Airport;
	depDate: Moment;
	depTerminal: string;
	flightNumber: string;
	flightTime: number;
	groupNumber: number;
	isCharter: boolean;
	isLowCost: boolean;
	baggageFromFamily?: FareFamilyFeature;
	luggage: Baggage;
	maxSide: string;
	mealType: string;
	nextSegment: Segment;
	number: number;
	operatingAirline: Airline;
	prevSegment: Segment;
	seatsAvailable: number;
	stayingTime: number;
	stopAirports: Airport[];
	stopPoints: StopPoint[];
	stopQuantity: number;
	sunPercentLeft: number;
	sunPercentRight: number;
	fareFamilyFeatures: FareFamily;
	waitingTime: number;
}
