import Money from './Money';
import { PricingDebugLink, PricingInfo } from './PricingInfo';

export interface FlightsReplacement {
	[originalFlightId: string]: SelectedFlight
}

export interface AdvancedFlightInfo {
	pricingInfo: PricingInfo;
	expectedNumberOfTickets: number;
	pricingDebugLinks: PricingDebugLink[];
}

export default interface SelectedFlight {
	price: Money;
	newFlightId: string;
	originalFlightId: string;
	isRT: boolean;
	flightInfo?: AdvancedFlightInfo;
}
