import { FareRules } from '../../models/FareRules';
import { parse } from '../parsers/fareRules';

export default async (flightId: string, nemoURL: string, langToTranslate?: string): Promise<FareRules> => {
	let requestUrl = `${nemoURL}index.php?go=orderAPI/get&uri=flight/rules/${flightId}`;

	if (langToTranslate) {
		requestUrl += `&translateTo=${langToTranslate}&translated=true`;
	}

	const response = await fetch(requestUrl);

	return parse(await response.json(), flightId);
};
