import { Action } from 'redux';
import { FareRules } from '../../models/FareRules';

export const LOAD_FARE_RULES = 'LOAD_FARE_RULES';
export const SET_FARE_RULES = 'SET_FARE_RULES';

export interface FareRulesAction extends Action {
	payload: {
		flightId: string;
		fareRules?: FareRules;
		needToTranslate?: boolean;
	}
}

export const loadFareRules = (flightId: string, needToTranslate: boolean = false): FareRulesAction => {
	return {
		type: LOAD_FARE_RULES,
		payload: {
			flightId,
			needToTranslate
		}
	};
};

export const setFareRules = (flightId: string, fareRules: FareRules): FareRulesAction => {
	return {
		type: SET_FARE_RULES,
		payload: {
			flightId,
			fareRules
		}
	};
};
