import { FareRulesAction, LOAD_FARE_RULES, SET_FARE_RULES } from './actions';
import { FareRules } from '../../models/FareRules';

export interface FareRulesState {
	[flightId: string]: FareRules;
}

export const fareRulesReducer = (state: FareRulesState = {}, action: FareRulesAction): FareRulesState => {
	switch (action.type) {
		case LOAD_FARE_RULES:
			return {...state, [action.payload.flightId]: null};

		case SET_FARE_RULES:
			return {...state, [action.payload.flightId]: action.payload.fareRules};
	}

	return state;
};
