import { Action } from 'redux';
import { SearchInfo } from '@nemo.travel/search-widget';

export const PARSE_FAST_SEARCH = 'PARSE_FAST_SEARCH';
export const SET_SEARCH_INFO_FROM_FAST_SEARCH = 'SET_SEARCH_INFO_FROM_FAST_SEARCH';

export interface FastSearchAction extends Action {
	payload?: SearchInfo;
}

export const startFastSearch = () => {
	return {
		type: PARSE_FAST_SEARCH
	};
};

export const setSearchInfoFromFastSearch = (searchInfo: SearchInfo) => {
	return {
		type: SET_SEARCH_INFO_FROM_FAST_SEARCH,
		payload: searchInfo
	};
};
