import { Action, createActions } from 'redux-actions';
import { ResultsState } from './reducers';
import { createSearchResultsPayload } from '../../utils';

export const SET_RESULTS_INFO = 'SET_RESULTS_INFO';
export const CLEAR_RESULTS_INFO = 'CLEAR_RESULTS_INFO';
export const LOAD_SEARCH_RESULTS = 'LOAD_SEARCH_RESULTS';

export type ResultsAction = Action<ResultsState[]>;

export const { setResultsInfo, clearResultsInfo, loadSearchResults } = createActions({
	[SET_RESULTS_INFO]: (info: ResultsState[]) => info,
	[LOAD_SEARCH_RESULTS]: createSearchResultsPayload,
	[CLEAR_RESULTS_INFO]: null
});
