import { Action, createActions } from 'redux-actions';
import SelectedFlight from '../../schemas/SelectedFlight';

export const SET_SELECTED_FLIGHT = 'SET_SELECTED_FLIGHT';
export const SELECT_FLIGHT = 'SELECT_FLIGHT';
export const CLEAR_SELECTED_FLIGHTS = 'CLEAR_SELECTED_FLIGHTS';

export type SelectedFlightAction = Action<SelectedFlightActionPayload>;
export type SelectedFlightActionPayload = { legId: number; flight: SelectedFlight };

export const { setSelectedFlight, clearSelectedFlights, selectFlight } = createActions({
	[SET_SELECTED_FLIGHT]: (legId: number, flight: SelectedFlight) => ({ flight, legId }),
	[SELECT_FLIGHT]: (flight: SelectedFlight, legId: number) => ({ flight, legId }),
	[CLEAR_SELECTED_FLIGHTS]: null
});
