import { handleActions } from 'redux-actions';
import {
	CLEAR_SELECTED_FLIGHTS,
	SelectedFlightActionPayload,
	SET_SELECTED_FLIGHT
} from './actions';
import SelectedFlight from '../../schemas/SelectedFlight';

export interface SelectedFlightsState {
	[legId: number]: SelectedFlight;
}

export const selectedFlightsReducer = handleActions<SelectedFlightsState, SelectedFlightActionPayload>({
	[CLEAR_SELECTED_FLIGHTS]: () => ({}),
	[SET_SELECTED_FLIGHT]: (state, { payload }) => {
		const { flight, legId } = payload;

		if (flight === null) {
			const result: SelectedFlightsState = {};

			for (const tmpLegId in state) {
				if (state.hasOwnProperty(tmpLegId) && tmpLegId !== legId.toString()) {
					result[tmpLegId] = state[tmpLegId];
				}
			}

			return result;
		}
		else {
			return {
				...state,
				[legId]: flight
			};
		}
	}
}, {});
