import { handleAction } from 'redux-actions';
import { setSorting } from './actions';
import { SortingDirection, SortingType } from '../../enums';

export interface SortingState {
	type: SortingType;
	direction: SortingDirection;
}

const initialState: SortingState = {
	type: SortingType.Price,
	direction: SortingDirection.ASC
};

export const sortingReducer = handleAction(
	setSorting,
	(state, action) => ({
		type: action.payload.type,
		direction: action.payload.direction
	}),
	initialState
);
